V2.0

get

/ec-dc-svc/rest/v2.0/studies/{studyId}/{mode}/subjects/dateRange

Retrieves all subjects in the study for the specified start and end date range, optionally filtered by events. Returns a list of subject details including previous subject number references. Uses event and date filtering for flexible extraction of subject subsets.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    CDBBCCDDEEFF11223344556677889900
Query Parameters
  • End date up to which to retrieve subjects. Accepted formats: dd-MMM-yyyy HH:mm:ss.SSS, dd-MMM-yyyy HH:mm:ss, dd-MMM-yyyy HH:mm, or dd-MMM-yyyy.
    Example:
    26-Oct-2023 14:30:15.123
  • List ofEvent Type for Subject, can have value New, Screened, Randomized, Withdrawn, Undo_Withdrawn, Randomization_Replaced, Transferred, Screen_Failed, Undo_Randomization.
    Example:
    [
        "New",
        "Screened"
    ]
  • Start date from which to retrieve subjects. Accepted formats: dd-MMM-yyyy HH:mm:ss.SSS, dd-MMM-yyyy HH:mm:ss, dd-MMM-yyyy HH:mm, or dd-MMM-yyyy.
    Example:
    25-Oct-2023 14:30:15.123

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

List of subjects within the given date range.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : SubjectDto8
Type: object
Subject details including any previous subject number reference
Show Source
  • Minimum Length: 0
    Maximum Length: 2048
    Comment for latest subject update
    Example: Initial enrollment
  • Minimum Length: 0
    Maximum Length: 500
    Free text description for the subject
    Example: Screened subject
  • Date of birth
  • Minimum Length: 0
    Maximum Length: 255
    Reason for enrollment failure, if any
    Example: Consent withdrawn
  • Minimum Length: 0
    Maximum Length: 255
    If subject enrollment is overridden.
    Example: Subject Enrollment Overridden
  • Event Type for Subject, can have value New, Screened, Randomized, Withdrawn, Undo_Withdrawn, Randomization_Replaced, Transferred, Screen_Failed, Undo_Randomization.
    Example: Screened
  • Frozen status of the record can have values NOT_APPLICABLE, FROZEN, UNFREEZE.
    Example: FROZEN
  • Origin study identifier (UUID, 32-character uppercase hexadecimal string) from which the subject was transferred
    Example: 5D5F9311C591424F852B99FD902E98A4
  • Minimum Length: 0
    Maximum Length: 10
    Gender value
    Example: [{"value":"1","label":"male"}]
  • Unique identifier (UUID, 32-character uppercase hexadecimal string) of the subject
    Example: 1BC29B36F5D64B1B95F4BDBBCEA481BE
  • Informed consent date
    Example: 2025-09-25T09:00:00Z
  • Timestamp when the subject was last signed
    Example: 2025-10-16T14:30:31.892Z
  • Unique Identifier (UUID, 32-character uppercase hexadecimal string) of the subject in mHealth system.
    Example: 1BC29B36F5D64B1B95F4BDBBCEA481BE
  • Audit trail field that represents the version number of the data.
    Example: 14
  • Operation type on the record, can have values CREATED, MODIFIED or REMOVED
    Example: MODIFIED
  • Previous subject number if renumbered or transferred
    Example: SUBJECT-0001-OLD
  • Minimum Length: 0
    Maximum Length: 255
    Reason for latest subject update
    Example: Protocol break happened
  • Screening date if applicable
    Example: 2025-10-01T10:00:00Z
  • Minimum Length: 0
    Maximum Length: 255
    Reason for screening failure, if any
    Example: Inclusion criteria not met
  • Signed status for workflow, the acceptable values are: NEVER_SIGNED, SIGNED, UNSIGNED, NEVER_SIGNED.
    Example: SIGNED
  • Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: ABCDEF1234567890ABCDEF1234567890
  • Software version number associated with the event
    Example: 14
  • Minimum Length: 0
    Maximum Length: 100
    Lifecycle state of the subject in the study. Reflects the subject???s current status. Common values include:
    • New
    • Active
    • Screening_Initiated
    • Screen_Failed
    • Withdrawn
    • Auto_Screen_Failed
    • Complete
    • Enrolled
    Example: Active
  • Timestamp when the subject transitioned to current state
    Example: 2025-10-16T14:30:31.892Z
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: ABCDEF1234567890ABCDEF1234567890
  • String representing the version of the study. Helps track changes in form or study design.
    Example: 3.0.0.1
  • Minimum Length: 0
    Maximum Length: 500
    Unique subject Number representing the patient/participant enrolled in the study.
    Example: SUBJ-0001
  • Site-level serial number assigned to the subject
    Example: SITE-0001-001
  • Study-level serial number assigned to the subject
    Example: STUDY-0001-001
  • Unique Identifier(UUID, 32-character uppercase hexadecimal string) of a subject transfer if applicable
    Example: 1BC29B36F5D64B1B95F4BDBBCEA481BE
  • Subject number site organization identifier (UUID, 32-character uppercase hexadecimal string)
    Example: 5D5F9311C591424F852B99FD902E98A4
  • Verified status for review workflow,the acceptable values are: NEVER_VEIFIED, VERIFIED, UNVERIFIED, NOT_APPLICABLE.
    Example: VERIFIED
  • End timestamp of the subject version record
    Example: 2025-10-16T14:30:31.892Z
  • The timestamp marking the beginning of the validity period for this record version within the system.
    Example: 2025-10-16T14:30:31.892Z
Examples

400 Response

Bad request.
Body ()
Root Schema : DcsResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Nested Schema : details
Type: object
Back to Top